package main

type RGBColor struct {
	r int
	g int
	b int
}

var palettes = map[int]map[int]RGBColor{
	1: map[int]RGBColor{
		0: RGBColor{40, 74, 42},
	},
	2: map[int]RGBColor{
		0: RGBColor{87, 85, 55},
		1: RGBColor{98, 75, 102},
	},
	3: map[int]RGBColor{
		0: RGBColor{85, 78, 114},
		1: RGBColor{117, 69, 59},
		2: RGBColor{68, 91, 60},
	},
	4: map[int]RGBColor{
		0: RGBColor{113, 72, 51},
		1: RGBColor{62, 87, 119},
		2: RGBColor{65, 92, 59},
		3: RGBColor{110, 67, 98},
	},
	5: map[int]RGBColor{
		0: RGBColor{50, 95, 73},
		1: RGBColor{119, 68, 57},
		2: RGBColor{63, 86, 121},
		3: RGBColor{109, 68, 100},
		4: RGBColor{88, 84, 43},
	},
	6: map[int]RGBColor{
		0: RGBColor{103, 79, 45},
		1: RGBColor{64, 91, 45},
		2: RGBColor{52, 95, 85},
		3: RGBColor{120, 65, 65},
		4: RGBColor{106, 67, 104},
		5: RGBColor{64, 86, 123},
	},
	7: map[int]RGBColor{
		0: RGBColor{78, 66, 111},
		1: RGBColor{118, 72, 101},
		2: RGBColor{108, 78, 46},
		3: RGBColor{118, 62, 61},
		4: RGBColor{51, 94, 82},
		5: RGBColor{69, 90, 45},
		6: RGBColor{62, 94, 125},
	},
	8: map[int]RGBColor{
		0: RGBColor{98, 64, 107},
		1: RGBColor{49, 95, 94},
		2: RGBColor{57, 93, 51},
		3: RGBColor{137, 85, 99},
		4: RGBColor{97, 48, 56},
		5: RGBColor{91, 83, 47},
		6: RGBColor{121, 72, 46},
		7: RGBColor{66, 87, 125},
	},
	9: map[int]RGBColor{
		0: RGBColor{133, 87, 111},
		1: RGBColor{128, 71, 53},
		2: RGBColor{56, 90, 110},
		3: RGBColor{87, 56, 97},
		4: RGBColor{99, 50, 59},
		5: RGBColor{64, 91, 45},
		6: RGBColor{49, 96, 81},
		7: RGBColor{72, 87, 135},
		8: RGBColor{98, 81, 47},
	},
	10: map[int]RGBColor{
		0: RGBColor{62, 109, 75},
		1: RGBColor{119, 77, 42},
		2: RGBColor{49, 96, 103},
		3: RGBColor{114, 69, 90},
		4: RGBColor{95, 73, 58},
		5: RGBColor{44, 69, 37},
		6: RGBColor{63, 85, 122},
		7: RGBColor{92, 92, 43},
		8: RGBColor{125, 60, 59},
		9: RGBColor{99, 69, 117},
	},
	11: map[int]RGBColor{
		0:  RGBColor{93, 88, 41},
		1:  RGBColor{48, 68, 43},
		2:  RGBColor{80, 72, 122},
		3:  RGBColor{53, 104, 99},
		4:  RGBColor{102, 79, 74},
		5:  RGBColor{58, 100, 57},
		6:  RGBColor{111, 66, 99},
		7:  RGBColor{62, 90, 120},
		8:  RGBColor{126, 63, 72},
		9:  RGBColor{138, 89, 60},
		10: RGBColor{94, 51, 29},
	},
	12: map[int]RGBColor{
		0:  RGBColor{42, 72, 35},
		1:  RGBColor{102, 44, 50},
		2:  RGBColor{115, 73, 39},
		3:  RGBColor{62, 59, 102},
		4:  RGBColor{98, 74, 90},
		5:  RGBColor{93, 96, 44},
		6:  RGBColor{119, 70, 111},
		7:  RGBColor{75, 99, 143},
		8:  RGBColor{145, 84, 84},
		9:  RGBColor{86, 76, 54},
		10: RGBColor{46, 91, 102},
		11: RGBColor{60, 109, 83},
	},
	13: map[int]RGBColor{
		0:  RGBColor{113, 52, 76},
		1:  RGBColor{121, 82, 128},
		2:  RGBColor{70, 94, 42},
		3:  RGBColor{144, 82, 72},
		4:  RGBColor{55, 108, 85},
		5:  RGBColor{106, 81, 35},
		6:  RGBColor{63, 56, 96},
		7:  RGBColor{94, 50, 35},
		8:  RGBColor{106, 94, 70},
		9:  RGBColor{108, 80, 93},
		10: RGBColor{47, 92, 105},
		11: RGBColor{71, 98, 142},
		12: RGBColor{48, 66, 40},
	},
	14: map[int]RGBColor{
		0:  RGBColor{58, 109, 86},
		1:  RGBColor{107, 84, 37},
		2:  RGBColor{74, 97, 45},
		3:  RGBColor{98, 50, 32},
		4:  RGBColor{97, 83, 62},
		5:  RGBColor{140, 76, 107},
		6:  RGBColor{113, 89, 107},
		7:  RGBColor{51, 61, 96},
		8:  RGBColor{98, 67, 116},
		9:  RGBColor{143, 82, 73},
		10: RGBColor{72, 101, 147},
		11: RGBColor{49, 95, 107},
		12: RGBColor{95, 45, 63},
		13: RGBColor{44, 68, 39},
	},
	15: map[int]RGBColor{
		0:  RGBColor{62, 59, 105},
		1:  RGBColor{123, 86, 131},
		2:  RGBColor{47, 90, 105},
		3:  RGBColor{139, 87, 95},
		4:  RGBColor{94, 87, 35},
		5:  RGBColor{74, 100, 144},
		6:  RGBColor{83, 57, 37},
		7:  RGBColor{108, 99, 73},
		8:  RGBColor{46, 67, 40},
		9:  RGBColor{107, 48, 82},
		10: RGBColor{84, 64, 83},
		11: RGBColor{61, 100, 54},
		12: RGBColor{129, 79, 48},
		13: RGBColor{111, 48, 49},
		14: RGBColor{52, 107, 92},
	},
	16: map[int]RGBColor{
		0:  RGBColor{128, 84, 127},
		1:  RGBColor{85, 100, 46},
		2:  RGBColor{50, 100, 108},
		3:  RGBColor{95, 99, 75},
		4:  RGBColor{87, 59, 51},
		5:  RGBColor{55, 66, 90},
		6:  RGBColor{130, 91, 55},
		7:  RGBColor{70, 60, 110},
		8:  RGBColor{78, 65, 25},
		9:  RGBColor{98, 46, 74},
		10: RGBColor{121, 89, 101},
		11: RGBColor{105, 48, 33},
		12: RGBColor{144, 76, 80},
		13: RGBColor{50, 109, 79},
		14: RGBColor{40, 69, 39},
		15: RGBColor{74, 101, 145},
	},
	17: map[int]RGBColor{
		0:  RGBColor{83, 56, 71},
		1:  RGBColor{55, 87, 40},
		2:  RGBColor{64, 56, 104},
		3:  RGBColor{102, 47, 38},
		4:  RGBColor{118, 92, 110},
		5:  RGBColor{49, 98, 75},
		6:  RGBColor{88, 94, 143},
		7:  RGBColor{52, 105, 112},
		8:  RGBColor{101, 93, 41},
		9:  RGBColor{43, 68, 89},
		10: RGBColor{130, 82, 50},
		11: RGBColor{69, 61, 33},
		12: RGBColor{56, 104, 142},
		13: RGBColor{126, 81, 127},
		14: RGBColor{104, 45, 76},
		15: RGBColor{144, 79, 87},
		16: RGBColor{105, 98, 75},
	},
	18: map[int]RGBColor{
		0:  RGBColor{92, 101, 51},
		1:  RGBColor{70, 98, 146},
		2:  RGBColor{74, 62, 29},
		3:  RGBColor{43, 78, 33},
		4:  RGBColor{59, 112, 87},
		5:  RGBColor{109, 56, 34},
		6:  RGBColor{45, 74, 58},
		7:  RGBColor{123, 87, 135},
		8:  RGBColor{116, 93, 76},
		9:  RGBColor{56, 105, 119},
		10: RGBColor{106, 42, 50},
		11: RGBColor{124, 90, 46},
		12: RGBColor{115, 92, 112},
		13: RGBColor{46, 67, 92},
		14: RGBColor{71, 55, 101},
		15: RGBColor{86, 54, 64},
		16: RGBColor{149, 83, 84},
		17: RGBColor{116, 57, 91},
	},
	19: map[int]RGBColor{
		0:  RGBColor{71, 64, 26},
		1:  RGBColor{87, 99, 44},
		2:  RGBColor{118, 89, 136},
		3:  RGBColor{84, 61, 81},
		4:  RGBColor{38, 69, 38},
		5:  RGBColor{68, 98, 147},
		6:  RGBColor{103, 49, 88},
		7:  RGBColor{146, 85, 74},
		8:  RGBColor{92, 61, 52},
		9:  RGBColor{54, 109, 71},
		10: RGBColor{102, 52, 27},
		11: RGBColor{123, 91, 49},
		12: RGBColor{96, 99, 75},
		13: RGBColor{65, 107, 130},
		14: RGBColor{40, 68, 89},
		15: RGBColor{112, 46, 58},
		16: RGBColor{49, 102, 96},
		17: RGBColor{62, 59, 106},
		18: RGBColor{137, 89, 107},
	},
	20: map[int]RGBColor{
		0:  RGBColor{74, 61, 36},
		1:  RGBColor{95, 101, 75},
		2:  RGBColor{77, 109, 57},
		3:  RGBColor{130, 90, 53},
		4:  RGBColor{51, 111, 88},
		5:  RGBColor{85, 57, 73},
		6:  RGBColor{96, 89, 36},
		7:  RGBColor{62, 61, 112},
		8:  RGBColor{99, 51, 28},
		9:  RGBColor{123, 90, 88},
		10: RGBColor{51, 68, 94},
		11: RGBColor{68, 101, 148},
		12: RGBColor{56, 106, 121},
		13: RGBColor{142, 79, 107},
		14: RGBColor{38, 74, 62},
		15: RGBColor{104, 43, 55},
		16: RGBColor{146, 78, 71},
		17: RGBColor{116, 92, 134},
		18: RGBColor{43, 72, 29},
		19: RGBColor{95, 49, 92},
	},
	21: map[int]RGBColor{
		0:  RGBColor{43, 66, 95},
		1:  RGBColor{138, 79, 117},
		2:  RGBColor{83, 51, 98},
		3:  RGBColor{79, 58, 76},
		4:  RGBColor{44, 78, 32},
		5:  RGBColor{63, 105, 144},
		6:  RGBColor{45, 111, 83},
		7:  RGBColor{148, 76, 76},
		8:  RGBColor{83, 107, 75},
		9:  RGBColor{103, 48, 31},
		10: RGBColor{103, 44, 64},
		11: RGBColor{132, 87, 50},
		12: RGBColor{83, 58, 46},
		13: RGBColor{98, 101, 46},
		14: RGBColor{77, 64, 23},
		15: RGBColor{83, 84, 137},
		16: RGBColor{111, 96, 71},
		17: RGBColor{129, 88, 89},
		18: RGBColor{43, 70, 53},
		19: RGBColor{113, 93, 121},
		20: RGBColor{52, 103, 110},
	},
	22: map[int]RGBColor{
		0:  RGBColor{146, 79, 94},
		1:  RGBColor{109, 44, 46},
		2:  RGBColor{98, 54, 25},
		3:  RGBColor{115, 91, 109},
		4:  RGBColor{70, 57, 105},
		5:  RGBColor{138, 87, 72},
		6:  RGBColor{103, 101, 47},
		7:  RGBColor{70, 64, 41},
		8:  RGBColor{38, 73, 60},
		9:  RGBColor{103, 101, 77},
		10: RGBColor{59, 103, 127},
		11: RGBColor{127, 85, 131},
		12: RGBColor{75, 108, 61},
		13: RGBColor{73, 97, 146},
		14: RGBColor{77, 67, 20},
		15: RGBColor{40, 73, 30},
		16: RGBColor{131, 91, 49},
		17: RGBColor{89, 57, 58},
		18: RGBColor{49, 64, 90},
		19: RGBColor{54, 109, 106},
		20: RGBColor{45, 110, 82},
		21: RGBColor{98, 47, 78},
	},
	23: map[int]RGBColor{
		0:  RGBColor{146, 79, 88},
		1:  RGBColor{123, 89, 77},
		2:  RGBColor{64, 106, 147},
		3:  RGBColor{99, 50, 27},
		4:  RGBColor{74, 61, 37},
		5:  RGBColor{38, 73, 62},
		6:  RGBColor{115, 92, 113},
		7:  RGBColor{46, 70, 93},
		8:  RGBColor{92, 48, 92},
		9:  RGBColor{113, 90, 43},
		10: RGBColor{110, 91, 142},
		11: RGBColor{105, 42, 55},
		12: RGBColor{84, 109, 56},
		13: RGBColor{51, 112, 89},
		14: RGBColor{95, 101, 75},
		15: RGBColor{35, 77, 36},
		16: RGBColor{65, 71, 22},
		17: RGBColor{56, 78, 130},
		18: RGBColor{61, 55, 96},
		19: RGBColor{57, 107, 117},
		20: RGBColor{143, 84, 57},
		21: RGBColor{136, 78, 115},
		22: RGBColor{86, 55, 67},
	},
	24: map[int]RGBColor{
		0:  RGBColor{79, 105, 82},
		1:  RGBColor{143, 80, 96},
		2:  RGBColor{104, 91, 142},
		3:  RGBColor{109, 42, 56},
		4:  RGBColor{62, 102, 150},
		5:  RGBColor{57, 59, 110},
		6:  RGBColor{103, 50, 30},
		7:  RGBColor{73, 63, 25},
		8:  RGBColor{35, 74, 82},
		9:  RGBColor{133, 81, 125},
		10: RGBColor{52, 111, 75},
		11: RGBColor{93, 102, 49},
		12: RGBColor{42, 70, 50},
		13: RGBColor{116, 93, 110},
		14: RGBColor{49, 110, 108},
		15: RGBColor{72, 59, 84},
		16: RGBColor{120, 87, 42},
		17: RGBColor{110, 95, 72},
		18: RGBColor{44, 70, 100},
		19: RGBColor{145, 85, 70},
		20: RGBColor{92, 47, 85},
		21: RGBColor{63, 107, 129},
		22: RGBColor{42, 75, 28},
		23: RGBColor{87, 57, 52},
	},
	25: map[int]RGBColor{
		0:  RGBColor{109, 43, 55},
		1:  RGBColor{120, 86, 42},
		2:  RGBColor{64, 62, 88},
		3:  RGBColor{90, 101, 74},
		4:  RGBColor{135, 82, 126},
		5:  RGBColor{110, 93, 121},
		6:  RGBColor{41, 75, 28},
		7:  RGBColor{125, 89, 87},
		8:  RGBColor{42, 70, 51},
		9:  RGBColor{102, 50, 31},
		10: RGBColor{33, 72, 85},
		11: RGBColor{55, 110, 74},
		12: RGBColor{50, 108, 100},
		13: RGBColor{148, 81, 71},
		14: RGBColor{47, 63, 110},
		15: RGBColor{59, 101, 147},
		16: RGBColor{87, 55, 61},
		17: RGBColor{98, 46, 80},
		18: RGBColor{91, 99, 43},
		19: RGBColor{73, 60, 29},
		20: RGBColor{62, 108, 127},
		21: RGBColor{84, 53, 103},
		22: RGBColor{116, 94, 70},
		23: RGBColor{142, 81, 101},
		24: RGBColor{103, 93, 147},
	},
	26: map[int]RGBColor{
		0:  RGBColor{86, 100, 125},
		1:  RGBColor{104, 93, 146},
		2:  RGBColor{84, 56, 67},
		3:  RGBColor{138, 81, 121},
		4:  RGBColor{148, 79, 88},
		5:  RGBColor{107, 43, 54},
		6:  RGBColor{56, 111, 96},
		7:  RGBColor{104, 48, 31},
		8:  RGBColor{128, 90, 88},
		9:  RGBColor{66, 64, 34},
		10: RGBColor{55, 103, 148},
		11: RGBColor{49, 104, 116},
		12: RGBColor{82, 53, 100},
		13: RGBColor{101, 101, 77},
		14: RGBColor{113, 89, 114},
		15: RGBColor{126, 96, 53},
		16: RGBColor{56, 108, 67},
		17: RGBColor{38, 72, 54},
		18: RGBColor{51, 63, 110},
		19: RGBColor{143, 84, 60},
		20: RGBColor{88, 60, 43},
		21: RGBColor{99, 45, 79},
		22: RGBColor{45, 73, 24},
		23: RGBColor{94, 101, 47},
		24: RGBColor{90, 65, 20},
		25: RGBColor{43, 65, 87},
	},
	27: map[int]RGBColor{
		0:  RGBColor{131, 92, 50},
		1:  RGBColor{80, 60, 41},
		2:  RGBColor{112, 91, 114},
		3:  RGBColor{98, 47, 83},
		4:  RGBColor{78, 106, 83},
		5:  RGBColor{107, 102, 48},
		6:  RGBColor{60, 106, 132},
		7:  RGBColor{44, 112, 82},
		8:  RGBColor{34, 73, 58},
		9:  RGBColor{147, 81, 67},
		10: RGBColor{87, 55, 63},
		11: RGBColor{129, 84, 130},
		12: RGBColor{78, 108, 57},
		13: RGBColor{144, 81, 97},
		14: RGBColor{102, 49, 31},
		15: RGBColor{58, 67, 39},
		16: RGBColor{101, 100, 73},
		17: RGBColor{34, 75, 32},
		18: RGBColor{36, 73, 84},
		19: RGBColor{65, 72, 19},
		20: RGBColor{88, 62, 20},
		21: RGBColor{71, 57, 108},
		22: RGBColor{51, 110, 109},
		23: RGBColor{53, 63, 94},
		24: RGBColor{78, 97, 148},
		25: RGBColor{108, 42, 55},
		26: RGBColor{125, 92, 78},
	},
	28: map[int]RGBColor{
		0:  RGBColor{49, 111, 105},
		1:  RGBColor{107, 43, 55},
		2:  RGBColor{120, 88, 98},
		3:  RGBColor{92, 93, 148},
		4:  RGBColor{135, 89, 76},
		5:  RGBColor{83, 109, 57},
		6:  RGBColor{124, 58, 46},
		7:  RGBColor{45, 112, 81},
		8:  RGBColor{146, 80, 102},
		9:  RGBColor{34, 74, 48},
		10: RGBColor{83, 105, 79},
		11: RGBColor{92, 56, 23},
		12: RGBColor{96, 47, 81},
		13: RGBColor{108, 98, 74},
		14: RGBColor{68, 63, 40},
		15: RGBColor{105, 91, 120},
		16: RGBColor{36, 72, 69},
		17: RGBColor{86, 54, 54},
		18: RGBColor{38, 76, 28},
		19: RGBColor{43, 65, 108},
		20: RGBColor{60, 103, 149},
		21: RGBColor{59, 105, 124},
		22: RGBColor{111, 97, 47},
		23: RGBColor{138, 89, 52},
		24: RGBColor{66, 70, 23},
		25: RGBColor{51, 65, 88},
		26: RGBColor{73, 53, 101},
		27: RGBColor{125, 83, 133},
	},
	29: map[int]RGBColor{
		0:  RGBColor{94, 103, 79},
		1:  RGBColor{35, 75, 68},
		2:  RGBColor{88, 55, 61},
		3:  RGBColor{131, 88, 89},
		4:  RGBColor{83, 64, 19},
		5:  RGBColor{57, 68, 41},
		6:  RGBColor{129, 85, 46},
		7:  RGBColor{148, 80, 67},
		8:  RGBColor{112, 101, 52},
		9:  RGBColor{79, 110, 58},
		10: RGBColor{104, 46, 81},
		11: RGBColor{32, 77, 40},
		12: RGBColor{40, 73, 93},
		13: RGBColor{85, 53, 106},
		14: RGBColor{80, 60, 42},
		15: RGBColor{71, 61, 82},
		16: RGBColor{147, 80, 98},
		17: RGBColor{62, 105, 143},
		18: RGBColor{108, 43, 55},
		19: RGBColor{96, 95, 147},
		20: RGBColor{133, 85, 129},
		21: RGBColor{122, 92, 73},
		22: RGBColor{55, 109, 117},
		23: RGBColor{114, 93, 115},
		24: RGBColor{83, 56, 90},
		25: RGBColor{101, 48, 29},
		26: RGBColor{60, 75, 22},
		27: RGBColor{49, 63, 108},
		28: RGBColor{51, 113, 88},
	},
	30: map[int]RGBColor{
		0:  RGBColor{122, 86, 137},
		1:  RGBColor{58, 68, 28},
		2:  RGBColor{94, 94, 149},
		3:  RGBColor{145, 81, 61},
		4:  RGBColor{123, 90, 99},
		5:  RGBColor{101, 44, 80},
		6:  RGBColor{138, 81, 117},
		7:  RGBColor{149, 78, 89},
		8:  RGBColor{82, 51, 103},
		9:  RGBColor{128, 95, 51},
		10: RGBColor{83, 68, 21},
		11: RGBColor{97, 56, 24},
		12: RGBColor{37, 72, 59},
		13: RGBColor{108, 42, 57},
		14: RGBColor{95, 102, 76},
		15: RGBColor{73, 57, 93},
		16: RGBColor{58, 103, 148},
		17: RGBColor{58, 105, 121},
		18: RGBColor{52, 110, 103},
		19: RGBColor{45, 64, 112},
		20: RGBColor{43, 67, 90},
		21: RGBColor{75, 63, 43},
		22: RGBColor{84, 55, 68},
		23: RGBColor{125, 91, 75},
		24: RGBColor{102, 95, 123},
		25: RGBColor{49, 110, 80},
		26: RGBColor{70, 109, 57},
		27: RGBColor{35, 74, 30},
		28: RGBColor{97, 101, 46},
		29: RGBColor{102, 48, 40},
	},
	31: map[int]RGBColor{
		0:  RGBColor{62, 111, 104},
		1:  RGBColor{42, 72, 100},
		2:  RGBColor{82, 68, 22},
		3:  RGBColor{111, 90, 145},
		4:  RGBColor{141, 90, 59},
		5:  RGBColor{47, 112, 82},
		6:  RGBColor{83, 51, 102},
		7:  RGBColor{34, 76, 32},
		8:  RGBColor{140, 82, 105},
		9:  RGBColor{108, 42, 66},
		10: RGBColor{113, 102, 51},
		11: RGBColor{105, 100, 75},
		12: RGBColor{68, 59, 86},
		13: RGBColor{95, 47, 82},
		14: RGBColor{59, 69, 41},
		15: RGBColor{65, 76, 22},
		16: RGBColor{98, 59, 24},
		17: RGBColor{35, 75, 83},
		18: RGBColor{66, 101, 151},
		19: RGBColor{61, 109, 133},
		20: RGBColor{87, 56, 64},
		21: RGBColor{38, 75, 59},
		22: RGBColor{105, 45, 47},
		23: RGBColor{127, 90, 86},
		24: RGBColor{110, 94, 121},
		25: RGBColor{50, 63, 111},
		26: RGBColor{135, 80, 123},
		27: RGBColor{150, 79, 83},
		28: RGBColor{79, 109, 62},
		29: RGBColor{81, 61, 42},
		30: RGBColor{110, 50, 32},
	},
	32: map[int]RGBColor{
		0:  RGBColor{39, 79, 31},
		1:  RGBColor{44, 69, 40},
		2:  RGBColor{150, 85, 74},
		3:  RGBColor{73, 64, 42},
		4:  RGBColor{122, 89, 99},
		5:  RGBColor{80, 51, 97},
		6:  RGBColor{91, 103, 78},
		7:  RGBColor{150, 81, 101},
		8:  RGBColor{35, 74, 67},
		9:  RGBColor{63, 107, 129},
		10: RGBColor{102, 37, 46},
		11: RGBColor{115, 98, 49},
		12: RGBColor{38, 71, 91},
		13: RGBColor{104, 49, 30},
		14: RGBColor{119, 95, 76},
		15: RGBColor{57, 102, 149},
		16: RGBColor{89, 107, 54},
		17: RGBColor{103, 94, 123},
		18: RGBColor{121, 85, 138},
		19: RGBColor{92, 60, 22},
		20: RGBColor{69, 70, 20},
		21: RGBColor{48, 61, 106},
		22: RGBColor{74, 58, 80},
		23: RGBColor{135, 84, 120},
		24: RGBColor{52, 111, 108},
		25: RGBColor{52, 111, 78},
		26: RGBColor{131, 64, 69},
		27: RGBColor{88, 55, 53},
		28: RGBColor{98, 45, 67},
		29: RGBColor{92, 93, 147},
		30: RGBColor{137, 89, 53},
		31: RGBColor{107, 49, 88},
	},
	33: map[int]RGBColor{
		0:  RGBColor{61, 110, 64},
		1:  RGBColor{95, 49, 64},
		2:  RGBColor{128, 88, 75},
		3:  RGBColor{36, 75, 74},
		4:  RGBColor{104, 47, 29},
		5:  RGBColor{116, 90, 144},
		6:  RGBColor{124, 91, 100},
		7:  RGBColor{83, 58, 65},
		8:  RGBColor{106, 42, 47},
		9:  RGBColor{95, 97, 126},
		10: RGBColor{42, 73, 25},
		11: RGBColor{62, 103, 151},
		12: RGBColor{83, 51, 102},
		13: RGBColor{88, 99, 43},
		14: RGBColor{65, 64, 31},
		15: RGBColor{131, 94, 52},
		16: RGBColor{51, 64, 113},
		17: RGBColor{46, 113, 97},
		18: RGBColor{39, 71, 95},
		19: RGBColor{58, 108, 125},
		20: RGBColor{91, 60, 20},
		21: RGBColor{145, 83, 116},
		22: RGBColor{122, 55, 78},
		23: RGBColor{100, 44, 81},
		24: RGBColor{83, 57, 41},
		25: RGBColor{146, 82, 60},
		26: RGBColor{105, 93, 42},
		27: RGBColor{83, 105, 78},
		28: RGBColor{116, 86, 120},
		29: RGBColor{150, 79, 84},
		30: RGBColor{107, 97, 74},
		31: RGBColor{70, 57, 84},
		32: RGBColor{36, 73, 49},
	},
	34: map[int]RGBColor{
		0:  RGBColor{54, 60, 107},
		1:  RGBColor{79, 61, 41},
		2:  RGBColor{46, 68, 92},
		3:  RGBColor{61, 106, 136},
		4:  RGBColor{93, 95, 143},
		5:  RGBColor{118, 85, 139},
		6:  RGBColor{121, 94, 90},
		7:  RGBColor{131, 91, 49},
		8:  RGBColor{86, 104, 79},
		9:  RGBColor{55, 110, 71},
		10: RGBColor{112, 99, 70},
		11: RGBColor{98, 50, 39},
		12: RGBColor{103, 43, 72},
		13: RGBColor{59, 107, 118},
		14: RGBColor{139, 79, 117},
		15: RGBColor{129, 87, 72},
		16: RGBColor{52, 100, 150},
		17: RGBColor{148, 81, 65},
		18: RGBColor{80, 56, 79},
		19: RGBColor{46, 112, 101},
		20: RGBColor{41, 73, 24},
		21: RGBColor{131, 86, 101},
		22: RGBColor{87, 55, 59},
		23: RGBColor{102, 97, 43},
		24: RGBColor{109, 42, 49},
		25: RGBColor{82, 106, 49},
		26: RGBColor{84, 64, 19},
		27: RGBColor{36, 73, 51},
		28: RGBColor{87, 48, 95},
		29: RGBColor{31, 74, 75},
		30: RGBColor{103, 51, 23},
		31: RGBColor{112, 93, 118},
		32: RGBColor{60, 66, 35},
		33: RGBColor{149, 78, 90},
	},
	35: map[int]RGBColor{
		0:  RGBColor{109, 102, 50},
		1:  RGBColor{69, 63, 40},
		2:  RGBColor{51, 66, 116},
		3:  RGBColor{83, 54, 67},
		4:  RGBColor{48, 63, 91},
		5:  RGBColor{76, 50, 95},
		6:  RGBColor{90, 55, 42},
		7:  RGBColor{115, 65, 110},
		8:  RGBColor{107, 41, 48},
		9:  RGBColor{35, 70, 26},
		10: RGBColor{131, 94, 51},
		11: RGBColor{148, 86, 119},
		12: RGBColor{112, 90, 143},
		13: RGBColor{39, 72, 54},
		14: RGBColor{45, 96, 57},
		15: RGBColor{96, 38, 70},
		16: RGBColor{123, 88, 94},
		17: RGBColor{148, 82, 60},
		18: RGBColor{116, 89, 113},
		19: RGBColor{91, 96, 127},
		20: RGBColor{91, 103, 75},
		21: RGBColor{51, 116, 88},
		22: RGBColor{66, 72, 23},
		23: RGBColor{85, 66, 21},
		24: RGBColor{82, 109, 54},
		25: RGBColor{35, 74, 84},
		26: RGBColor{115, 95, 74},
		27: RGBColor{135, 86, 75},
		28: RGBColor{55, 109, 104},
		29: RGBColor{151, 79, 86},
		30: RGBColor{57, 108, 128},
		31: RGBColor{61, 103, 152},
		32: RGBColor{106, 47, 29},
		33: RGBColor{125, 62, 82},
		34: RGBColor{97, 58, 21},
	},
	36: map[int]RGBColor{
		0:  RGBColor{121, 90, 107},
		1:  RGBColor{51, 62, 112},
		2:  RGBColor{146, 78, 92},
		3:  RGBColor{62, 105, 132},
		4:  RGBColor{101, 95, 126},
		5:  RGBColor{85, 55, 64},
		6:  RGBColor{104, 91, 147},
		7:  RGBColor{115, 95, 74},
		8:  RGBColor{88, 55, 42},
		9:  RGBColor{102, 43, 75},
		10: RGBColor{82, 50, 99},
		11: RGBColor{124, 84, 131},
		12: RGBColor{127, 89, 85},
		13: RGBColor{102, 48, 25},
		14: RGBColor{57, 113, 73},
		15: RGBColor{56, 66, 30},
		16: RGBColor{78, 57, 85},
		17: RGBColor{64, 67, 48},
		18: RGBColor{63, 101, 151},
		19: RGBColor{34, 72, 82},
		20: RGBColor{83, 62, 23},
		21: RGBColor{140, 79, 116},
		22: RGBColor{48, 65, 95},
		23: RGBColor{108, 42, 50},
		24: RGBColor{105, 101, 63},
		25: RGBColor{121, 95, 45},
		26: RGBColor{147, 80, 69},
		27: RGBColor{55, 109, 115},
		28: RGBColor{136, 86, 53},
		29: RGBColor{34, 74, 60},
		30: RGBColor{74, 76, 21},
		31: RGBColor{31, 77, 42},
		32: RGBColor{84, 106, 81},
		33: RGBColor{44, 113, 99},
		34: RGBColor{91, 108, 51},
		35: RGBColor{41, 77, 24},
	},
	37: map[int]RGBColor{
		0:  RGBColor{35, 89, 63},
		1:  RGBColor{119, 90, 107},
		2:  RGBColor{48, 62, 107},
		3:  RGBColor{85, 62, 21},
		4:  RGBColor{104, 87, 144},
		5:  RGBColor{101, 104, 49},
		6:  RGBColor{45, 117, 88},
		7:  RGBColor{151, 75, 83},
		8:  RGBColor{81, 50, 97},
		9:  RGBColor{109, 42, 42},
		10: RGBColor{109, 93, 131},
		11: RGBColor{76, 56, 75},
		12: RGBColor{104, 50, 22},
		13: RGBColor{64, 65, 40},
		14: RGBColor{54, 110, 106},
		15: RGBColor{118, 97, 49},
		16: RGBColor{123, 94, 76},
		17: RGBColor{95, 54, 36},
		18: RGBColor{84, 106, 79},
		19: RGBColor{71, 110, 59},
		20: RGBColor{84, 58, 50},
		21: RGBColor{38, 68, 38},
		22: RGBColor{100, 47, 58},
		23: RGBColor{62, 102, 151},
		24: RGBColor{102, 42, 77},
		25: RGBColor{134, 86, 85},
		26: RGBColor{35, 72, 66},
		27: RGBColor{87, 94, 121},
		28: RGBColor{131, 80, 128},
		29: RGBColor{56, 108, 128},
		30: RGBColor{104, 99, 74},
		31: RGBColor{37, 70, 90},
		32: RGBColor{132, 89, 48},
		33: RGBColor{37, 76, 27},
		34: RGBColor{66, 71, 20},
		35: RGBColor{147, 82, 64},
		36: RGBColor{142, 79, 108},
	},
	38: map[int]RGBColor{
		0:  RGBColor{130, 94, 50},
		1:  RGBColor{84, 66, 21},
		2:  RGBColor{50, 109, 97},
		3:  RGBColor{48, 111, 75},
		4:  RGBColor{91, 55, 42},
		5:  RGBColor{68, 60, 87},
		6:  RGBColor{103, 96, 123},
		7:  RGBColor{149, 81, 97},
		8:  RGBColor{122, 91, 101},
		9:  RGBColor{58, 94, 112},
		10: RGBColor{40, 70, 43},
		11: RGBColor{94, 101, 76},
		12: RGBColor{150, 81, 61},
		13: RGBColor{72, 63, 41},
		14: RGBColor{137, 87, 60},
		15: RGBColor{37, 73, 68},
		16: RGBColor{141, 69, 70},
		17: RGBColor{36, 75, 28},
		18: RGBColor{113, 89, 141},
		19: RGBColor{49, 63, 111},
		20: RGBColor{73, 98, 152},
		21: RGBColor{65, 71, 22},
		22: RGBColor{109, 102, 50},
		23: RGBColor{109, 47, 71},
		24: RGBColor{97, 58, 20},
		25: RGBColor{136, 82, 119},
		26: RGBColor{81, 108, 52},
		27: RGBColor{33, 66, 89},
		28: RGBColor{136, 88, 83},
		29: RGBColor{105, 46, 28},
		30: RGBColor{55, 112, 122},
		31: RGBColor{83, 51, 102},
		32: RGBColor{78, 107, 74},
		33: RGBColor{103, 38, 45},
		34: RGBColor{56, 107, 145},
		35: RGBColor{95, 47, 83},
		36: RGBColor{116, 95, 75},
		37: RGBColor{86, 55, 64},
	},
	39: map[int]RGBColor{
		0:  RGBColor{83, 58, 44},
		1:  RGBColor{68, 71, 19},
		2:  RGBColor{33, 75, 28},
		3:  RGBColor{50, 71, 35},
		4:  RGBColor{49, 108, 136},
		5:  RGBColor{34, 72, 83},
		6:  RGBColor{119, 86, 139},
		7:  RGBColor{123, 91, 100},
		8:  RGBColor{90, 96, 148},
		9:  RGBColor{109, 102, 50},
		10: RGBColor{86, 104, 82},
		11: RGBColor{55, 109, 110},
		12: RGBColor{104, 100, 71},
		13: RGBColor{111, 92, 123},
		14: RGBColor{55, 102, 152},
		15: RGBColor{65, 65, 41},
		16: RGBColor{50, 61, 111},
		17: RGBColor{140, 81, 117},
		18: RGBColor{131, 80, 76},
		19: RGBColor{152, 81, 92},
		20: RGBColor{132, 96, 53},
		21: RGBColor{45, 65, 97},
		22: RGBColor{89, 52, 81},
		23: RGBColor{80, 51, 100},
		24: RGBColor{111, 42, 63},
		25: RGBColor{46, 112, 90},
		26: RGBColor{124, 94, 75},
		27: RGBColor{99, 47, 27},
		28: RGBColor{75, 59, 76},
		29: RGBColor{104, 42, 80},
		30: RGBColor{146, 82, 60},
		31: RGBColor{111, 43, 45},
		32: RGBColor{94, 51, 59},
		33: RGBColor{35, 73, 58},
		34: RGBColor{84, 63, 20},
		35: RGBColor{107, 67, 28},
		36: RGBColor{86, 100, 124},
		37: RGBColor{85, 106, 52},
		38: RGBColor{61, 110, 68},
	},
	40: map[int]RGBColor{
		0:  RGBColor{111, 98, 59},
		1:  RGBColor{145, 83, 61},
		2:  RGBColor{120, 90, 105},
		3:  RGBColor{104, 100, 44},
		4:  RGBColor{143, 79, 104},
		5:  RGBColor{87, 64, 19},
		6:  RGBColor{74, 61, 42},
		7:  RGBColor{97, 44, 84},
		8:  RGBColor{95, 53, 30},
		9:  RGBColor{141, 77, 120},
		10: RGBColor{43, 68, 99},
		11: RGBColor{93, 93, 148},
		12: RGBColor{61, 110, 67},
		13: RGBColor{85, 54, 62},
		14: RGBColor{149, 78, 84},
		15: RGBColor{50, 112, 109},
		16: RGBColor{89, 104, 78},
		17: RGBColor{104, 43, 68},
		18: RGBColor{130, 91, 48},
		19: RGBColor{122, 85, 139},
		20: RGBColor{38, 83, 72},
		21: RGBColor{34, 72, 83},
		22: RGBColor{116, 95, 75},
		23: RGBColor{59, 101, 153},
		24: RGBColor{47, 112, 88},
		25: RGBColor{41, 68, 45},
		26: RGBColor{56, 106, 142},
		27: RGBColor{62, 69, 23},
		28: RGBColor{80, 52, 102},
		29: RGBColor{124, 84, 118},
		30: RGBColor{96, 96, 121},
		31: RGBColor{71, 56, 83},
		32: RGBColor{108, 91, 129},
		33: RGBColor{60, 108, 124},
		34: RGBColor{127, 87, 82},
		35: RGBColor{106, 44, 53},
		36: RGBColor{49, 61, 110},
		37: RGBColor{34, 74, 29},
		38: RGBColor{83, 105, 48},
		39: RGBColor{109, 44, 34},
	},
	41: map[int]RGBColor{
		0:  RGBColor{93, 47, 83},
		1:  RGBColor{104, 106, 52},
		2:  RGBColor{152, 80, 80},
		3:  RGBColor{82, 51, 101},
		4:  RGBColor{70, 81, 25},
		5:  RGBColor{35, 74, 82},
		6:  RGBColor{70, 109, 58},
		7:  RGBColor{83, 58, 65},
		8:  RGBColor{100, 101, 74},
		9:  RGBColor{71, 65, 21},
		10: RGBColor{121, 94, 44},
		11: RGBColor{118, 87, 140},
		12: RGBColor{101, 44, 24},
		13: RGBColor{146, 80, 101},
		14: RGBColor{73, 63, 42},
		15: RGBColor{134, 70, 50},
		16: RGBColor{52, 69, 35},
		17: RGBColor{136, 80, 121},
		18: RGBColor{143, 91, 59},
		19: RGBColor{124, 91, 101},
		20: RGBColor{97, 51, 66},
		21: RGBColor{48, 62, 111},
		22: RGBColor{91, 55, 43},
		23: RGBColor{92, 60, 20},
		24: RGBColor{90, 96, 148},
		25: RGBColor{112, 91, 122},
		26: RGBColor{54, 103, 151},
		27: RGBColor{45, 116, 87},
		28: RGBColor{127, 91, 82},
		29: RGBColor{85, 101, 125},
		30: RGBColor{40, 69, 55},
		31: RGBColor{33, 86, 59},
		32: RGBColor{108, 41, 72},
		33: RGBColor{53, 110, 108},
		34: RGBColor{81, 108, 83},
		35: RGBColor{67, 59, 86},
		36: RGBColor{109, 42, 49},
		37: RGBColor{118, 95, 64},
		38: RGBColor{34, 73, 26},
		39: RGBColor{47, 110, 131},
		40: RGBColor{39, 70, 97},
	},
	42: map[int]RGBColor{
		0:  RGBColor{149, 77, 78},
		1:  RGBColor{56, 89, 114},
		2:  RGBColor{35, 78, 82},
		3:  RGBColor{96, 61, 113},
		4:  RGBColor{34, 72, 55},
		5:  RGBColor{85, 58, 41},
		6:  RGBColor{33, 64, 84},
		7:  RGBColor{128, 94, 45},
		8:  RGBColor{85, 105, 68},
		9:  RGBColor{87, 48, 85},
		10: RGBColor{65, 57, 82},
		11: RGBColor{103, 104, 49},
		12: RGBColor{102, 54, 22},
		13: RGBColor{143, 85, 61},
		14: RGBColor{128, 89, 83},
		15: RGBColor{118, 96, 61},
		16: RGBColor{65, 65, 42},
		17: RGBColor{67, 73, 20},
		18: RGBColor{104, 41, 75},
		19: RGBColor{127, 91, 141},
		20: RGBColor{94, 95, 150},
		21: RGBColor{105, 44, 55},
		22: RGBColor{39, 64, 109},
		23: RGBColor{77, 106, 88},
		24: RGBColor{58, 111, 118},
		25: RGBColor{62, 53, 105},
		26: RGBColor{106, 45, 36},
		27: RGBColor{86, 63, 20},
		28: RGBColor{85, 79, 114},
		29: RGBColor{28, 76, 31},
		30: RGBColor{47, 69, 31},
		31: RGBColor{107, 99, 77},
		32: RGBColor{46, 111, 76},
		33: RGBColor{59, 103, 153},
		34: RGBColor{39, 113, 99},
		35: RGBColor{120, 90, 107},
		36: RGBColor{86, 55, 64},
		37: RGBColor{72, 108, 54},
		38: RGBColor{145, 79, 100},
		39: RGBColor{105, 103, 131},
		40: RGBColor{136, 78, 119},
		41: RGBColor{53, 113, 142},
	},
	43: map[int]RGBColor{
		0:  RGBColor{108, 98, 74},
		1:  RGBColor{52, 107, 136},
		2:  RGBColor{94, 94, 149},
		3:  RGBColor{95, 61, 21},
		4:  RGBColor{62, 66, 46},
		5:  RGBColor{85, 105, 68},
		6:  RGBColor{98, 100, 128},
		7:  RGBColor{70, 69, 94},
		8:  RGBColor{73, 61, 26},
		9:  RGBColor{83, 51, 102},
		10: RGBColor{83, 78, 25},
		11: RGBColor{150, 78, 78},
		12: RGBColor{32, 73, 56},
		13: RGBColor{86, 57, 42},
		14: RGBColor{76, 106, 89},
		15: RGBColor{117, 88, 122},
		16: RGBColor{101, 44, 81},
		17: RGBColor{49, 61, 111},
		18: RGBColor{59, 102, 151},
		19: RGBColor{122, 85, 139},
		20: RGBColor{37, 67, 97},
		21: RGBColor{114, 67, 76},
		22: RGBColor{147, 84, 60},
		23: RGBColor{73, 52, 82},
		24: RGBColor{42, 112, 103},
		25: RGBColor{60, 108, 119},
		26: RGBColor{141, 80, 116},
		27: RGBColor{125, 93, 103},
		28: RGBColor{82, 57, 64},
		29: RGBColor{31, 78, 36},
		30: RGBColor{33, 73, 81},
		31: RGBColor{43, 113, 81},
		32: RGBColor{47, 65, 26},
		33: RGBColor{113, 42, 60},
		34: RGBColor{90, 44, 60},
		35: RGBColor{71, 112, 59},
		36: RGBColor{130, 94, 51},
		37: RGBColor{102, 42, 40},
		38: RGBColor{149, 81, 99},
		39: RGBColor{110, 106, 52},
		40: RGBColor{106, 50, 28},
		41: RGBColor{60, 81, 25},
		42: RGBColor{130, 90, 76},
	},
	44: map[int]RGBColor{
		0:  RGBColor{60, 73, 19},
		1:  RGBColor{150, 76, 83},
		2:  RGBColor{146, 83, 61},
		3:  RGBColor{52, 110, 108},
		4:  RGBColor{72, 111, 59},
		5:  RGBColor{34, 77, 29},
		6:  RGBColor{56, 89, 57},
		7:  RGBColor{112, 76, 103},
		8:  RGBColor{51, 115, 135},
		9:  RGBColor{120, 93, 100},
		10: RGBColor{48, 89, 104},
		11: RGBColor{81, 67, 21},
		12: RGBColor{109, 97, 75},
		13: RGBColor{126, 88, 73},
		14: RGBColor{101, 103, 44},
		15: RGBColor{101, 47, 26},
		16: RGBColor{72, 53, 84},
		17: RGBColor{30, 67, 74},
		18: RGBColor{98, 44, 85},
		19: RGBColor{38, 61, 88},
		20: RGBColor{49, 62, 111},
		21: RGBColor{47, 101, 144},
		22: RGBColor{112, 79, 134},
		23: RGBColor{97, 104, 64},
		24: RGBColor{33, 65, 36},
		25: RGBColor{106, 44, 44},
		26: RGBColor{81, 109, 88},
		27: RGBColor{135, 83, 90},
		28: RGBColor{145, 77, 107},
		29: RGBColor{101, 63, 25},
		30: RGBColor{75, 100, 155},
		31: RGBColor{83, 106, 132},
		32: RGBColor{61, 67, 42},
		33: RGBColor{35, 75, 64},
		34: RGBColor{76, 77, 104},
		35: RGBColor{112, 100, 126},
		36: RGBColor{78, 49, 101},
		37: RGBColor{84, 54, 61},
		38: RGBColor{139, 88, 131},
		39: RGBColor{127, 97, 51},
		40: RGBColor{106, 95, 142},
		41: RGBColor{42, 113, 84},
		42: RGBColor{104, 42, 64},
		43: RGBColor{78, 59, 40},
	},
	45: map[int]RGBColor{
		0:  RGBColor{100, 41, 64},
		1:  RGBColor{123, 92, 75},
		2:  RGBColor{74, 70, 19},
		3:  RGBColor{83, 54, 63},
		4:  RGBColor{34, 71, 82},
		5:  RGBColor{145, 78, 95},
		6:  RGBColor{92, 39, 80},
		7:  RGBColor{61, 107, 123},
		8:  RGBColor{71, 106, 99},
		9:  RGBColor{81, 56, 43},
		10: RGBColor{77, 53, 86},
		11: RGBColor{107, 58, 56},
		12: RGBColor{93, 94, 148},
		13: RGBColor{121, 87, 138},
		14: RGBColor{35, 73, 57},
		15: RGBColor{64, 64, 41},
		16: RGBColor{93, 99, 129},
		17: RGBColor{143, 80, 58},
		18: RGBColor{118, 100, 46},
		19: RGBColor{83, 105, 71},
		20: RGBColor{111, 97, 62},
		21: RGBColor{48, 67, 28},
		22: RGBColor{89, 104, 48},
		23: RGBColor{48, 61, 110},
		24: RGBColor{52, 106, 141},
		25: RGBColor{109, 39, 48},
		26: RGBColor{138, 94, 54},
		27: RGBColor{147, 87, 124},
		28: RGBColor{34, 112, 114},
		29: RGBColor{62, 61, 86},
		30: RGBColor{127, 90, 94},
		31: RGBColor{35, 77, 31},
		32: RGBColor{120, 95, 118},
		33: RGBColor{100, 100, 79},
		34: RGBColor{103, 69, 25},
		35: RGBColor{55, 102, 155},
		36: RGBColor{125, 61, 100},
		37: RGBColor{108, 70, 98},
		38: RGBColor{38, 70, 104},
		39: RGBColor{82, 53, 106},
		40: RGBColor{56, 111, 67},
		41: RGBColor{104, 46, 27},
		42: RGBColor{152, 81, 80},
		43: RGBColor{46, 111, 89},
		44: RGBColor{85, 55, 25},
	},
	46: map[int]RGBColor{
		0:  RGBColor{40, 73, 24},
		1:  RGBColor{115, 42, 47},
		2:  RGBColor{115, 98, 49},
		3:  RGBColor{99, 103, 71},
		4:  RGBColor{133, 94, 111},
		5:  RGBColor{43, 113, 84},
		6:  RGBColor{136, 92, 53},
		7:  RGBColor{130, 92, 144},
		8:  RGBColor{60, 56, 109},
		9:  RGBColor{31, 75, 49},
		10: RGBColor{88, 98, 42},
		11: RGBColor{117, 100, 131},
		12: RGBColor{96, 58, 22},
		13: RGBColor{98, 48, 49},
		14: RGBColor{58, 67, 38},
		15: RGBColor{154, 86, 71},
		16: RGBColor{97, 41, 22},
		17: RGBColor{78, 66, 19},
		18: RGBColor{101, 36, 60},
		19: RGBColor{118, 96, 78},
		20: RGBColor{36, 73, 68},
		21: RGBColor{135, 88, 86},
		22: RGBColor{57, 104, 152},
		23: RGBColor{37, 70, 91},
		24: RGBColor{105, 71, 106},
		25: RGBColor{124, 67, 47},
		26: RGBColor{61, 56, 82},
		27: RGBColor{85, 103, 127},
		28: RGBColor{79, 61, 41},
		29: RGBColor{125, 63, 85},
		30: RGBColor{118, 59, 102},
		31: RGBColor{156, 80, 92},
		32: RGBColor{52, 110, 108},
		33: RGBColor{88, 57, 52},
		34: RGBColor{81, 80, 116},
		35: RGBColor{47, 109, 130},
		36: RGBColor{38, 65, 110},
		37: RGBColor{148, 85, 123},
		38: RGBColor{100, 72, 128},
		39: RGBColor{94, 96, 152},
		40: RGBColor{79, 45, 94},
		41: RGBColor{81, 51, 67},
		42: RGBColor{69, 110, 59},
		43: RGBColor{78, 106, 84},
		44: RGBColor{89, 39, 75},
		45: RGBColor{99, 78, 93},
	},
	47: map[int]RGBColor{
		0:  RGBColor{43, 110, 133},
		1:  RGBColor{108, 41, 44},
		2:  RGBColor{147, 79, 109},
		3:  RGBColor{116, 98, 118},
		4:  RGBColor{120, 99, 84},
		5:  RGBColor{137, 92, 132},
		6:  RGBColor{82, 102, 127},
		7:  RGBColor{52, 65, 38},
		8:  RGBColor{50, 62, 113},
		9:  RGBColor{89, 41, 79},
		10: RGBColor{80, 51, 60},
		11: RGBColor{75, 65, 43},
		12: RGBColor{120, 94, 43},
		13: RGBColor{93, 98, 148},
		14: RGBColor{79, 50, 101},
		15: RGBColor{90, 58, 19},
		16: RGBColor{121, 63, 106},
		17: RGBColor{144, 98, 63},
		18: RGBColor{149, 83, 70},
		19: RGBColor{114, 84, 139},
		20: RGBColor{46, 113, 102},
		21: RGBColor{147, 74, 82},
		22: RGBColor{141, 94, 100},
		23: RGBColor{112, 70, 92},
		24: RGBColor{41, 69, 102},
		25: RGBColor{86, 51, 39},
		26: RGBColor{30, 78, 50},
		27: RGBColor{102, 45, 25},
		28: RGBColor{111, 98, 62},
		29: RGBColor{90, 75, 105},
		30: RGBColor{103, 41, 63},
		31: RGBColor{32, 76, 31},
		32: RGBColor{35, 72, 84},
		33: RGBColor{72, 67, 19},
		34: RGBColor{52, 74, 20},
		35: RGBColor{116, 76, 56},
		36: RGBColor{61, 54, 80},
		37: RGBColor{86, 105, 82},
		38: RGBColor{100, 103, 44},
		39: RGBColor{51, 104, 153},
		40: RGBColor{35, 73, 63},
		41: RGBColor{90, 103, 60},
		42: RGBColor{72, 110, 59},
		43: RGBColor{128, 73, 40},
		44: RGBColor{44, 114, 82},
		45: RGBColor{108, 75, 75},
		46: RGBColor{60, 106, 109},
	},
	48: map[int]RGBColor{
		0:  RGBColor{34, 71, 113},
		1:  RGBColor{97, 75, 27},
		2:  RGBColor{125, 89, 144},
		3:  RGBColor{78, 82, 25},
		4:  RGBColor{49, 56, 106},
		5:  RGBColor{112, 105, 54},
		6:  RGBColor{83, 98, 153},
		7:  RGBColor{132, 95, 52},
		8:  RGBColor{114, 57, 100},
		9:  RGBColor{121, 92, 73},
		10: RGBColor{84, 75, 112},
		11: RGBColor{40, 81, 32},
		12: RGBColor{72, 60, 25},
		13: RGBColor{45, 106, 157},
		14: RGBColor{90, 71, 126},
		15: RGBColor{130, 61, 61},
		16: RGBColor{103, 38, 47},
		17: RGBColor{70, 52, 80},
		18: RGBColor{84, 100, 132},
		19: RGBColor{29, 70, 41},
		20: RGBColor{99, 41, 23},
		21: RGBColor{52, 66, 22},
		22: RGBColor{155, 87, 85},
		23: RGBColor{47, 62, 85},
		24: RGBColor{110, 94, 113},
		25: RGBColor{50, 113, 76},
		26: RGBColor{81, 45, 93},
		27: RGBColor{81, 111, 91},
		28: RGBColor{95, 58, 20},
		29: RGBColor{125, 67, 44},
		30: RGBColor{103, 101, 74},
		31: RGBColor{152, 91, 66},
		32: RGBColor{99, 40, 68},
		33: RGBColor{91, 55, 42},
		34: RGBColor{83, 54, 62},
		35: RGBColor{52, 109, 139},
		36: RGBColor{85, 110, 57},
		37: RGBColor{109, 71, 95},
		38: RGBColor{40, 111, 101},
		39: RGBColor{67, 62, 43},
		40: RGBColor{145, 89, 124},
		41: RGBColor{32, 70, 63},
		42: RGBColor{126, 89, 92},
		43: RGBColor{61, 109, 118},
		44: RGBColor{63, 86, 62},
		45: RGBColor{142, 75, 94},
		46: RGBColor{116, 98, 137},
		47: RGBColor{39, 78, 93},
	},
	49: map[int]RGBColor{
		0:  RGBColor{75, 45, 96},
		1:  RGBColor{41, 69, 54},
		2:  RGBColor{143, 86, 60},
		3:  RGBColor{30, 67, 74},
		4:  RGBColor{107, 64, 115},
		5:  RGBColor{73, 56, 76},
		6:  RGBColor{48, 109, 163},
		7:  RGBColor{148, 77, 100},
		8:  RGBColor{116, 94, 110},
		9:  RGBColor{100, 104, 49},
		10: RGBColor{88, 56, 61},
		11: RGBColor{78, 70, 21},
		12: RGBColor{80, 109, 123},
		13: RGBColor{148, 81, 79},
		14: RGBColor{87, 103, 160},
		15: RGBColor{73, 109, 57},
		16: RGBColor{46, 115, 125},
		17: RGBColor{35, 75, 28},
		18: RGBColor{90, 50, 78},
		19: RGBColor{103, 102, 140},
		20: RGBColor{94, 61, 21},
		21: RGBColor{110, 43, 45},
		22: RGBColor{47, 97, 89},
		23: RGBColor{124, 92, 81},
		24: RGBColor{70, 63, 40},
		25: RGBColor{44, 83, 127},
		26: RGBColor{44, 117, 102},
		27: RGBColor{47, 112, 76},
		28: RGBColor{79, 83, 109},
		29: RGBColor{125, 92, 147},
		30: RGBColor{58, 109, 144},
		31: RGBColor{79, 78, 132},
		32: RGBColor{126, 90, 125},
		33: RGBColor{91, 55, 43},
		34: RGBColor{108, 99, 73},
		35: RGBColor{103, 41, 79},
		36: RGBColor{125, 96, 50},
		37: RGBColor{106, 49, 28},
		38: RGBColor{141, 78, 120},
		39: RGBColor{53, 55, 90},
		40: RGBColor{89, 69, 108},
		41: RGBColor{44, 88, 105},
		42: RGBColor{105, 43, 61},
		43: RGBColor{32, 64, 91},
		44: RGBColor{39, 58, 109},
		45: RGBColor{85, 106, 78},
		46: RGBColor{58, 71, 24},
		47: RGBColor{134, 85, 99},
		48: RGBColor{33, 75, 47},
	},
	50: map[int]RGBColor{
		0:  RGBColor{125, 96, 85},
		1:  RGBColor{108, 76, 85},
		2:  RGBColor{145, 94, 63},
		3:  RGBColor{114, 74, 53},
		4:  RGBColor{82, 108, 75},
		5:  RGBColor{73, 84, 57},
		6:  RGBColor{69, 53, 102},
		7:  RGBColor{61, 73, 19},
		8:  RGBColor{81, 55, 21},
		9:  RGBColor{103, 106, 83},
		10: RGBColor{94, 43, 88},
		11: RGBColor{101, 36, 52},
		12: RGBColor{95, 105, 49},
		13: RGBColor{125, 62, 42},
		14: RGBColor{86, 46, 68},
		15: RGBColor{143, 84, 121},
		16: RGBColor{144, 88, 87},
		17: RGBColor{33, 74, 31},
		18: RGBColor{34, 72, 56},
		19: RGBColor{40, 114, 129},
		20: RGBColor{75, 109, 126},
		21: RGBColor{81, 52, 54},
		22: RGBColor{32, 67, 78},
		23: RGBColor{67, 109, 57},
		24: RGBColor{93, 98, 129},
		25: RGBColor{47, 68, 118},
		26: RGBColor{56, 107, 156},
		27: RGBColor{46, 90, 120},
		28: RGBColor{97, 96, 149},
		29: RGBColor{90, 50, 40},
		30: RGBColor{68, 59, 82},
		31: RGBColor{120, 83, 36},
		32: RGBColor{96, 50, 18},
		33: RGBColor{122, 98, 64},
		34: RGBColor{102, 37, 31},
		35: RGBColor{121, 58, 86},
		36: RGBColor{81, 70, 21},
		37: RGBColor{42, 111, 80},
		38: RGBColor{130, 61, 66},
		39: RGBColor{38, 62, 93},
		40: RGBColor{156, 84, 99},
		41: RGBColor{114, 102, 49},
		42: RGBColor{121, 85, 138},
		43: RGBColor{44, 91, 93},
		44: RGBColor{126, 97, 118},
		45: RGBColor{156, 85, 66},
		46: RGBColor{80, 66, 46},
		47: RGBColor{52, 60, 31},
		48: RGBColor{101, 72, 107},
		49: RGBColor{55, 113, 101},
	},
}
