## Publications mentioning SciPipe

- <strong>NEW: Scientific study using SciPipe:</strong><br><a href="https://doi.org/10.3389/fphar.2018.01256">Predicting off-target binding profiles with confidence using Conformal Prediction</a><br>
- <strong>NEW: Slides:</strong> <a href="https://pharmb.io/blog/saml-gostockholm2018">Presentation on SciPipe and more at Go Stockholm Conference</a><br>
- <strong>Preprint paper on SciPipe:</strong><br><a href="https://www.biorxiv.org/content/early/2018/08/01/380808">SciPipe - A workflow library for agile development of complex and dynamic bioinformatics pipelines</a><br>
- <strong>Blog post:</strong> <a href="http://bionics.it/posts/provenance-reports-in-scientific-workflows">Provenance reports in Scientific workflows</a> - going into details about how SciPipe is addressing provenance">Provenance reports in Scientific Workflows<br>
- <strong>Blog post:</strong> <a href="http://bionics.it/posts/first-production-workflow-run-with-scipipe">First production workflow run with SciPipe</a>
- <strong>Poster:</strong> [A poster on SciPipe](http://dx.doi.org/10.13140/RG.2.2.34414.61760), presented at the [e-Science Academy in Lund, on Oct 12-13 2016](https://essenceofescience.se/event/swedish-e-science-academy-2016-2/).
- See [slides from a recent presentation of SciPipe for use in a Bioinformatics setting](http://www.slideshare.net/SamuelLampa/scipipe-a-lightweight-workflow-library-inspired-by-flowbased-programming).
- The architecture of SciPipe is based on an [flow-based
  programming](https://en.wikipedia.org/wiki/Flow-based_programming) like
  pattern in pure Go presented in
  [this](https://blog.gopheracademy.com/composable-pipelines-pattern) and
  [this](https://blog.gopheracademy.com/advent-2015/composable-pipelines-improvements/)
  blog posts on Gopher Academy.


